unit WndDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TWindowForm = class(TForm)
    ComboBox: TComboBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  WindowForm: TWindowForm;

implementation

uses MainUnit, OutputDlg, CPUDlg, RAMDlg, CalcDlg, ExtDlg, Seriell,
  MotorDlg;

{$R *.DFM}

procedure TWindowForm.FormShow(Sender: TObject);
Var X : Integer;
begin
  ComboBox.Items.Clear;
  For X:=0 to MainForm.SetupData.WindowSetupCount-1 do
    If not MainForm.SetupData.WindowSetup[X].Spezial then
      ComboBox.Items.Add(MainForm.SetupData.WindowSetup[X].Name);
  ComboBox.Text:='Neu';
  CheckBox1.Checked:=Assigned(OutputForm);
  CheckBox2.Checked:=Assigned(CPUForm);
  CheckBox3.Checked:=Assigned(RAMForm);
  CheckBox4.Checked:=Assigned(RechnerForm);
  CheckBox5.Checked:=Assigned(ExtRAMForm);
  CheckBox6.Checked:=Assigned(SeriellForm);
  CheckBox7.Checked:=Assigned(MotorForm);
end;

procedure TWindowForm.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

procedure TWindowForm.BitBtn2Click(Sender: TObject);
Var I : Integer;
begin
  I:=MainForm.SetupData.AddWindowSetup;
  with MainForm.SetupData.WindowSetup[I] do begin
    Name:=ComboBox.Text;
    Output:=CheckBox1.Checked;
    CPU:=CheckBox2.Checked;
    RAM:=CheckBox3.Checked;
    Calc:=CheckBox4.Checked;
    ExtRam:=CheckBox5.Checked;
    Seriell:=CheckBox6.Checked;
    Motor:=CheckBox6.Checked;
    MainWnd:=MainForm.BoundsRect;
    If Assigned(OutputForm) then OutputWnd:=OutputForm.BoundsRect;
    If Assigned(CPUForm) then CPUWnd:=CPUForm.BoundsRect;
    If Assigned(RAMForm) then RAMWnd:=RAMForm.BoundsRect;
    If Assigned(RechnerForm) then CalcWnd:=RechnerForm.BoundsRect;
    If Assigned(ExtRAMForm) then ExtRAMWnd:=ExtRAMForm.BoundsRect;
    If Assigned(SeriellForm) then SeriellWnd:=SeriellForm.BoundsRect;
    If Assigned(MotorForm) then MotorWnd:=MotorForm.BoundsRect;
  end;
  Close;
end;

procedure TWindowForm.BitBtn3Click(Sender: TObject);
Var X : Integer;
begin
  For X:=0 to MainForm.SetupData.WindowSetupCount-1 do
  If MainForm.SetupData.WindowSetup[X].Name=ComboBox.Text then begin
    If MainForm.SetupData.WindowSetup[X].Spezial then begin
      MessageDlg('Die gewhlte Einstellung ist eine Vorgabeeinstellung und kann nicht gelscht werden.',mtError,[mbOK],0);
      exit;
    end;
    MainForm.SetupData.DelWindowSetup(X);
    FormShow(Sender);
    exit;
  end;
  MessageDlg('Die angegebene Einstellung konnte nicht gefunden werden.',mtError,[mbOk],0);
end;

end.
